net.corda.node.services

## Class NotaryChange.Service

- SingletonSerializeAsToken
- - net.corda.node.services.NotaryChange.Service

- All Implemented Interfaces:
    SerializeAsToken
  Enclosing class:
    NotaryChange

      public static class NotaryChange.Service
      extends SingletonSerializeAsToken

  A service that monitors the network for requests for changing the notary of a state, and immediately runs the `class NotaryChangeFlow` if the auto-accept criteria are met.

  See Also:
    `class NotaryChangeFlow`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Service(PluginServiceHub services)` A service that monitors the network for requests for changing the notary of a state, and immediately runs the `class NotaryChangeFlow` if the auto-accept criteria are met.

  - ### Method Summary

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Constructor Detail

    - #### Service

          public Service(PluginServiceHub services)

      A service that monitors the network for requests for changing the notary of a state, and immediately runs the `class NotaryChangeFlow` if the auto-accept criteria are met.

      See Also:
        `class NotaryChangeFlow`